aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--host/CMakeLists.txt4
-rw-r--r--host/cmake/debian/changelog16
-rwxr-xr-xtools/debs/upload_debs.sh27
3 files changed, 43 insertions, 4 deletions
diff --git a/host/CMakeLists.txt b/host/CMakeLists.txt
index d678b520d..8953e839d 100644
--- a/host/CMakeLists.txt
+++ b/host/CMakeLists.txt
@@ -269,8 +269,8 @@ UHD_INSTALL(FILES
#{{{IMG_SECTION
# This section is written automatically by /images/create_imgs_package.py
# Any manual changes in here will be overwritten.
-SET(UHD_IMAGES_MD5SUM "a7dcdcbc2dc032dbd1532636f9adb87a")
-SET(UHD_IMAGES_DOWNLOAD_SRC "uhd-images_003.009.002-rc1.zip")
+SET(UHD_IMAGES_MD5SUM "37081e1e73004bd9e74d7e5b6293fd39")
+SET(UHD_IMAGES_DOWNLOAD_SRC "uhd-images_003.009.002-release.zip")
#}}}
########################################################################
diff --git a/host/cmake/debian/changelog b/host/cmake/debian/changelog
index 1ed6ab28d..40f04bf74 100644
--- a/host/cmake/debian/changelog
+++ b/host/cmake/debian/changelog
@@ -1,3 +1,19 @@
+uhd (3.9.2-0ubuntu1) trusty; urgency=low
+
+ * E310: Added support for Speedgrade 3
+ * B205mini: Added support
+ * E310: Fixed reference counting bug
+ * B210: Fixed external clock reference bug for devices using ADF4002 PLLs
+ * B210: Fixed codec loopback test
+ * OctoClock: Fixed firmware burning on Windows
+ * B2XX, E3XX, X3XX: Easier time-syncing features. Fixes bug where B210s would
+ only run after issuing set_time_unknown_pps().
+ * X3XX: Fixed bug for IQ imbalance correction
+ * E310: DRAM testbenching
+ * Docs/Manual: Many updates and fixes
+
+ -- Martin Braun <martin.braun@ettus.com> Wed, 30 Dec 2015 11:48:37 -0800
+
uhd (3.9.1-0ubuntu1) trusty; urgency=low
* B200mini: Updated udev rules, removed DCM
diff --git a/tools/debs/upload_debs.sh b/tools/debs/upload_debs.sh
index 4ff03cced..9ecdbbbfb 100755
--- a/tools/debs/upload_debs.sh
+++ b/tools/debs/upload_debs.sh
@@ -21,6 +21,10 @@ then
echo "This script must be run from UHD's top-level directory."
exit 1
fi
+if [ -f fpga-src/README.md ]; then
+ echo "This script requires a clean repository without fpga-src checked out!."
+ exit 1
+fi
FORCE_YES=0
if [ $# -eq 1 ]
@@ -63,7 +67,7 @@ fi
# Generate the TAR file to be uploaded.
echo "Creating UHD source archive."
-tar --exclude='*git*' --exclude='./debian' --exclude='*.swp' -cJf ../uhd_${VERSION}.orig.tar.xz .
+tar --exclude='*git*' --exclude='./debian' --exclude='*.swp' --exclude='fpga-src' --exclude='build' --exclude='images' --exclude='tags' -cJf ../uhd_${VERSION}.orig.tar.xz .
if [ $? != 0 ]
then
echo "Failed to create UHD source archive."
@@ -86,7 +90,16 @@ cp -r host/cmake/debian .
cp host/utils/uhd-usrp.rules debian/uhd-host.udev
find host/docs -name '*.1' > debian/uhd-host.manpages
rm -f debian/postinst.in debian/postrm.in debian/preinst.in debian/prerm.in
-exit 0
+
+if [ $FORCE_YES -ne 1 ]
+then
+ echo "Proceed to generate package info? (yes/no)"
+ read response
+ if [ "$response" != "yes" ]
+ then
+ exit 0
+ fi
+fi
for RELEASE in ${RELEASES}
do
@@ -102,6 +115,16 @@ do
mv ../changelog.backup debian/changelog
done
+if [ $FORCE_YES -ne 1 ]
+then
+ echo "Proceed to upload to launchpad? (yes/no)"
+ read response
+ if [ "$response" != "yes" ]
+ then
+ exit 0
+ fi
+fi
+
# Upload package into to Launchpad, which will automatically build packages
for RELEASE in ${RELEASES}
do